/*jslint white: true, undef: true, eqeqeq: true, bitwise: true, regexp: true, newcap: true, immed: true */

"use strict";

// Standard attributes 
this.name           = "TeaMaker_WorldScript.js"; 
this.author         = "Smivs"; 
this.copyright      = "This script is hereby placed in the public domain."; 
this.version        = "1.1"; 
this.description    = "Script to update tea-maker for existing owners, and handle purchase of refills."; 


this.missionScreenOpportunity = function()
{
  if (player.ship.docked && player.ship.equipmentStatus("EQ_TEA_MACHINE") == "EQUIPMENT_OK")
    {
      mission.runScreen({title: "!!! Product Recall !!!", messageKey: "productRecall"});
      player.ship.removeEquipment("EQ_TEA_MACHINE");
      player.ship.awardEquipment("EQ_TEA_MAKER");
      missionVariables.teaRefill = "OK";
    }
}
this.playerBoughtEquipment = function(equipment)
{
 if (equipment == "EQ_TEA_MAKER")
   {
     missionVariables.teaRefill = "OK";
   }
 if (equipment == "EQ_TEA_REFILL_1")
   {
     player.ship.removeEquipment("EQ_TEA_REFILL_1");
     EquipmentInfo.infoForKey("EQ_TEA_REFILL_1").effectiveTechLevel = 99;
     EquipmentInfo.infoForKey("EQ_TEA_REFILL_2").effectiveTechLevel = 99;
     EquipmentInfo.infoForKey("EQ_TEA_REFILL_3").effectiveTechLevel = 99;
     EquipmentInfo.infoForKey("EQ_TEA_REFILL_4").effectiveTechLevel = 99;
    missionVariables.teaRefill = "OK";
   }
 if (equipment == "EQ_TEA_REFILL_2")
   {
     player.ship.removeEquipment("EQ_TEA_REFILL_2");
     EquipmentInfo.infoForKey("EQ_TEA_REFILL_1").effectiveTechLevel = 99;
     EquipmentInfo.infoForKey("EQ_TEA_REFILL_2").effectiveTechLevel = 99;
     EquipmentInfo.infoForKey("EQ_TEA_REFILL_3").effectiveTechLevel = 99;
     EquipmentInfo.infoForKey("EQ_TEA_REFILL_4").effectiveTechLevel = 99;
     missionVariables.teaRefill = "OK";
   }
 if (equipment == "EQ_TEA_REFILL_3")
   {
     player.ship.removeEquipment("EQ_TEA_REFILL_3");
     EquipmentInfo.infoForKey("EQ_TEA_REFILL_1").effectiveTechLevel = 99;
     EquipmentInfo.infoForKey("EQ_TEA_REFILL_2").effectiveTechLevel = 99;
     EquipmentInfo.infoForKey("EQ_TEA_REFILL_3").effectiveTechLevel = 99;
     EquipmentInfo.infoForKey("EQ_TEA_REFILL_4").effectiveTechLevel = 99;
     missionVariables.teaRefill = "OK";
   }
 if (equipment == "EQ_TEA_REFILL_4")
   {
     player.ship.removeEquipment("EQ_TEA_REFILL_4");
     EquipmentInfo.infoForKey("EQ_TEA_REFILL_1").effectiveTechLevel = 99;
     EquipmentInfo.infoForKey("EQ_TEA_REFILL_2").effectiveTechLevel = 99;
     EquipmentInfo.infoForKey("EQ_TEA_REFILL_3").effectiveTechLevel = 99;
     EquipmentInfo.infoForKey("EQ_TEA_REFILL_4").effectiveTechLevel = 99;
     missionVariables.teaRefill = "OK";
   }
}
